Project

General

Profile

Scénario #24327

Empaqueter et tester la gestion de plusieurs DTD par Zéphir

Added by Joël Cuissinat almost 3 years ago. Updated almost 3 years ago.

Status:
Terminé (Sprint)
Priority:
Normal
Assigned To:
Category:
-
Start date:
06/18/2018
Due date:
07/13/2018
% Done:

100%

Estimated time:
(Total: 5.00 h)
Spent time:
(Total: 3.50 h)
Story points:
2.0
Remaining (hours):
0.00 hour
Velocity based estimate:
Release:
Release relationship:
Auto

Description

Demande originale

Lors de l’édition d'un config.eol via zephir d'un serveur Hapy 2.4, le message suivant apparaît:

   [ ... ]
creole3.error.ConfigError: "Erreur lors du parsing : la valeur service n'est pas dans ['systemd', 'upstart', 'apache', 'network']

Zephir 2.6 a été mis a jour, reconfiguré et redémarré aujourd'hui mais le problème persiste.

Correction

Des modifications ont été réalisées afin que le module Zéphir soit capable de gérer plusieurs DTD distinctes, cf. #24225

Il reste à packager et valider ces modifications

Critères d’acceptation

Il est possible d'éditer tout type de configuration avec un Zéphir 2.6.2
Les tests Jenkins sont toujours passants


Subtasks

Tâche #24225: Edition impossible des config Hapy 2.4FerméEmmanuel GARETTE

Tâche #24406: Publier des paquets creole3 pour EOLE >= 2.6.0FerméDaniel Dehennin


Related issues

Duplicated by Zéphir - Demande #24403: Suite upgrade zephir en version 2.6.2 : "Erreur lors du parsing : la valeur service n'est pas dans ['systemd', 'upstart', 'apache', 'network'] : dico 61_etherpad.xml et 61_ethercalc.xml incorrecte pour scribe 2.4.2 (pacquet zephir-dictionnaires ) Fermé 07/03/2018

History

#1 Updated by Joël Cuissinat almost 3 years ago

  • Due date set to 07/13/2018
  • Target version set to sprint 2018 26-28 Equipe MENSR
  • Start date set to 06/25/2018

#2 Updated by Joël Cuissinat almost 3 years ago

  • Assigned To set to Emmanuel GARETTE

#3 Updated by Daniel Dehennin almost 3 years ago

  • Status changed from Nouveau to Terminé (Sprint)

#4 Updated by Joël Cuissinat almost 3 years ago

  • Related to Demande #24403: Suite upgrade zephir en version 2.6.2 : "Erreur lors du parsing : la valeur service n'est pas dans ['systemd', 'upstart', 'apache', 'network'] : dico 61_etherpad.xml et 61_ethercalc.xml incorrecte pour scribe 2.4.2 (pacquet zephir-dictionnaires ) added

#5 Updated by Daniel Dehennin over 2 years ago

  • Related to deleted (Demande #24403: Suite upgrade zephir en version 2.6.2 : "Erreur lors du parsing : la valeur service n'est pas dans ['systemd', 'upstart', 'apache', 'network'] : dico 61_etherpad.xml et 61_ethercalc.xml incorrecte pour scribe 2.4.2 (pacquet zephir-dictionnaires ))

#6 Updated by Daniel Dehennin over 2 years ago

  • Duplicated by Demande #24403: Suite upgrade zephir en version 2.6.2 : "Erreur lors du parsing : la valeur service n'est pas dans ['systemd', 'upstart', 'apache', 'network'] : dico 61_etherpad.xml et 61_ethercalc.xml incorrecte pour scribe 2.4.2 (pacquet zephir-dictionnaires ) added

Also available in: Atom PDF